@echo off
REM setlocal
REM
REM  Copyright (C) 1998-2000, OFFIS
REM
REM  This software and supporting documentation were developed by
REM
REM    Kuratorium OFFIS e.V.
REM    Healthcare Information and Communication Systems
REM    Escherweg 2
REM    D-26121 Oldenburg, Germany
REM
REM  THIS SOFTWARE IS MADE AVAILABLE,  AS IS,  AND OFFIS MAKES NO  WARRANTY
REM  REGARDING  THE  SOFTWARE,  ITS  PERFORMANCE,  ITS  MERCHANTABILITY  OR
REM  FITNESS FOR ANY PARTICULAR USE, FREEDOM FROM ANY COMPUTER DISEASES  OR
REM  ITS CONFORMITY TO ANY SPECIFICATION. THE ENTIRE RISK AS TO QUALITY AND
REM  PERFORMANCE OF THE SOFTWARE IS WITH THE USER.
REM
REM  Module:  dcmpstat
REM
REM  Author:  Marco Eichelberg
REM
REM  Purpose: Batch file for IHE Y2 Print Server Test Cases
REM

REM set CMDLINE=bin\dcmprscu -v +d -c printscp_test.cfg --label Print_Server_Test_%1 -p
set CMDLINE=bin\dcmprscu -v +d -c printscp_test.cfg  -p

set DBASE=printjobs
set INDEX=tmp
set LOG=log

if "%1" == "001" goto LBL001
if "%1" == "002" goto LBL002
if "%1" == "003" goto LBL003
if "%1" == "004" goto LBL004
if "%1" == "005" goto LBL005
if "%1" == "006" goto LBL006
if "%1" == "010" goto LBL010
if "%1" == "011" goto LBL011
if "%1" == "012" goto LBL012
if "%1" == "013" goto LBL013
if "%1" == "014" goto LBL014
if "%1" == "015" goto LBL015
if "%1" == "020" goto LBL020
if "%1" == "021" goto LBL021
if "%1" == "022" goto LBL022
if "%1" == "023" goto LBL023
if "%1" == "024" goto LBL024
if "%1" == "025" goto LBL025
if "%1" == "026" goto LBL026
if "%1" == "027" goto LBL027
if "%1" == "028" goto LBL028
if "%1" == "029" goto LBL029
if "%1" == "030" goto LBL030
if "%1" == "031" goto LBL031
if "%1" == "040" goto LBL040
if "%1" == "041" goto LBL041
if "%1" == "042" goto LBL042
if "%1" == "043" goto LBL043
if "%1" == "044" goto LBL044
if "%1" == "045" goto LBL045
if "%1" == "046" goto LBL046
if "%1" == "047" goto LBL047
if "%1" == "048" goto LBL048
if "%1" == "050" goto LBL050
if "%1" == "051" goto LBL051
if "%1" == "052" goto LBL052
if "%1" == "053" goto LBL053
if "%1" == "101" goto LBL101
if "%1" == "102" goto LBL102
if "%1" == "103" goto LBL103
if "%1" == "104" goto LBL104
if "%1" == "105" goto LBL105
if "%1" == "106" goto LBL106
if "%1" == "110" goto LBL110
if "%1" == "111" goto LBL111
if "%1" == "112" goto LBL112
if "%1" == "113" goto LBL113
if "%1" == "114" goto LBL114
if "%1" == "115" goto LBL115
if "%1" == "120" goto LBL120
if "%1" == "121" goto LBL121
if "%1" == "122" goto LBL122
if "%1" == "123" goto LBL123
if "%1" == "124" goto LBL124
if "%1" == "125" goto LBL125
if "%1" == "126" goto LBL126
if "%1" == "127" goto LBL127
if "%1" == "128" goto LBL128
if "%1" == "129" goto LBL129
if "%1" == "130" goto LBL130
if "%1" == "131" goto LBL131
if "%1" == "140" goto LBL140
if "%1" == "141" goto LBL141
if "%1" == "142" goto LBL142
if "%1" == "143" goto LBL143
if "%1" == "144" goto LBL144
if "%1" == "145" goto LBL145
if "%1" == "146" goto LBL146
if "%1" == "147" goto LBL147
if "%1" == "148" goto LBL148
if "%1" == "150" goto LBL150
if "%1" == "151" goto LBL151
if "%1" == "152" goto LBL152
if "%1" == "153" goto LBL153

if "%1" == "reindex" goto LBLREINDEX
if "%1" == "all_film" goto LBLALLFILM
if "%1" == "all_paper" goto LBLALLPAPER

echo Usage: %0 { reindex / all_film / all_paper / 001 ... 153 }
goto finish
              
:LBL001
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_001.dcm >%LOG%\%1.log
goto finish

:LBL002
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_002.dcm >%LOG%\%1.log
goto finish

:LBL003
echo performing print server test %1
%CMDLINE% TEST3 %DBASE%\SP_003.dcm >%LOG%\%1.log
goto finish

:LBL004
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_004.dcm >%LOG%\%1.log
goto finish

:LBL005
echo performing print server test %1
%CMDLINE% TEST3 %DBASE%\SP_005.dcm >%LOG%\%1.log
goto finish

:LBL006
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_006.dcm >%LOG%\%1.log
goto finish

:LBL010
echo performing print server test %1
%CMDLINE% TEST3 %DBASE%\SP_010.dcm >%LOG%\%1.log
goto finish

:LBL011
echo performing print server test %1
%CMDLINE% TEST3 %DBASE%\SP_011.dcm >%LOG%\%1.log
goto finish

:LBL012
echo performing print server test %1
%CMDLINE% TEST3 %DBASE%\SP_012.dcm >%LOG%\%1.log
goto finish

:LBL013
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_013.dcm >%LOG%\%1.log
goto finish

:LBL014
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_014.dcm >%LOG%\%1.log
goto finish

:LBL015
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_015.dcm >%LOG%\%1.log
goto finish

:LBL020
echo performing print server test %1
%CMDLINE% TEST4 %DBASE%\SP_020.dcm >%LOG%\%1.log
goto finish

:LBL021
echo performing print server test %1
%CMDLINE% TEST5 %DBASE%\SP_021.dcm >%LOG%\%1.log
goto finish

:LBL022
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_022.dcm >%LOG%\%1.log
goto finish

:LBL023
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_023.dcm >%LOG%\%1.log
goto finish

:LBL024
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_024.dcm >%LOG%\%1.log
goto finish

:LBL025
echo performing print server test %1
%CMDLINE% TEST1 --session-print %DBASE%\SP_025.dcm >%LOG%\%1.log
goto finish

:LBL026
echo performing print server test %1
%CMDLINE% TEST3 %DBASE%\SP_026.dcm >%LOG%\%1.log
goto finish

:LBL027
echo performing print server test %1
%CMDLINE% TEST2 %DBASE%\SP_027.dcm >%LOG%\%1.log
goto finish

:LBL028
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_028.dcm >%LOG%\%1.log
goto finish

:LBL029
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_029.dcm >%LOG%\%1.log
goto finish

:LBL030
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_030.dcm >%LOG%\%1.log
goto finish

:LBL031
echo performing print server test %1
%CMDLINE% TEST1 --monochrome1 %DBASE%\SP_031.dcm >%LOG%\%1.log
goto finish

:LBL040
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_040.dcm >%LOG%\%1.log
goto finish

:LBL041
echo performing print server test %1
%CMDLINE% TEST3 %DBASE%\SP_041.dcm >%LOG%\%1.log
goto finish

:LBL042
echo performing print server test %1
%CMDLINE% TEST2 %DBASE%\SP_042.dcm >%LOG%\%1.log
goto finish

:LBL043
echo performing print server test %1
%CMDLINE% TEST2 %DBASE%\SP_043.dcm >%LOG%\%1.log
goto finish

:LBL044
echo performing print server test %1
%CMDLINE% TEST3 %DBASE%\SP_044.dcm >%LOG%\%1.log
goto finish

:LBL045
echo performing print server test %1
%CMDLINE% TEST3 %DBASE%\SP_045.dcm >%LOG%\%1.log
goto finish

:LBL046
echo performing print server test %1
%CMDLINE% TEST3 %DBASE%\SP_046.dcm >%LOG%\%1.log
goto finish

:LBL047
echo performing print server test %1
%CMDLINE% TEST2 %DBASE%\SP_047.dcm >%LOG%\%1.log
goto finish

:LBL048
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_048.dcm >%LOG%\%1.log
goto finish

:LBL050
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_050.dcm >%LOG%\%1.log
goto finish

:LBL051
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_051.dcm >%LOG%\%1.log
goto finish

:LBL052
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_052.dcm >%LOG%\%1.log
goto finish

:LBL053
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_053.dcm >%LOG%\%1.log
goto finish

:LBL101
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_101.dcm >%LOG%\%1.log
goto finish

:LBL102
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_102.dcm >%LOG%\%1.log
goto finish

:LBL103
echo performing print server test %1
%CMDLINE% TEST3 %DBASE%\SP_103.dcm >%LOG%\%1.log
goto finish

:LBL104
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_104.dcm >%LOG%\%1.log
goto finish

:LBL105
echo performing print server test %1
%CMDLINE% TEST3 %DBASE%\SP_105.dcm >%LOG%\%1.log
goto finish

:LBL106
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_106.dcm >%LOG%\%1.log
goto finish

:LBL110
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_110.dcm >%LOG%\%1.log
goto finish

:LBL111
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_111.dcm >%LOG%\%1.log
goto finish

:LBL112
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_112.dcm >%LOG%\%1.log
goto finish

:LBL113
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_113.dcm >%LOG%\%1.log
goto finish

:LBL114
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_114.dcm >%LOG%\%1.log
goto finish

:LBL115
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_115.dcm >%LOG%\%1.log
goto finish

:LBL120
echo performing print server test %1
%CMDLINE% TEST4 %DBASE%\SP_120.dcm >%LOG%\%1.log
goto finish

:LBL121
echo performing print server test %1
%CMDLINE% TEST5 %DBASE%\SP_121.dcm >%LOG%\%1.log
goto finish

:LBL122
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_122.dcm >%LOG%\%1.log
goto finish

:LBL123
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_123.dcm >%LOG%\%1.log
goto finish

:LBL124
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_124.dcm >%LOG%\%1.log
goto finish

:LBL125
echo performing print server test %1
%CMDLINE% TEST1 --session-print %DBASE%\SP_125.dcm >%LOG%\%1.log
goto finish

:LBL126
echo performing print server test %1
%CMDLINE% TEST3 %DBASE%\SP_126.dcm >%LOG%\%1.log
goto finish

:LBL127
echo performing print server test %1
%CMDLINE% TEST2 %DBASE%\SP_127.dcm >%LOG%\%1.log
goto finish

:LBL128
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_128.dcm >%LOG%\%1.log
goto finish

:LBL129
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_129.dcm >%LOG%\%1.log
goto finish

:LBL130
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_130.dcm >%LOG%\%1.log
goto finish

:LBL131
echo performing print server test %1
%CMDLINE% TEST1 --monochrome1 %DBASE%\SP_131.dcm >%LOG%\%1.log
goto finish

:LBL140
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_140.dcm >%LOG%\%1.log
goto finish

:LBL141
echo performing print server test %1
%CMDLINE% TEST3 %DBASE%\SP_141.dcm >%LOG%\%1.log
goto finish

:LBL142
echo performing print server test %1
%CMDLINE% TEST2 %DBASE%\SP_142.dcm >%LOG%\%1.log
goto finish

:LBL143
echo performing print server test %1
%CMDLINE% TEST2 %DBASE%\SP_143.dcm >%LOG%\%1.log
goto finish

:LBL144
echo performing print server test %1
%CMDLINE% TEST3 %DBASE%\SP_144.dcm >%LOG%\%1.log
goto finish

:LBL145
echo performing print server test %1
%CMDLINE% TEST3 %DBASE%\SP_145.dcm >%LOG%\%1.log
goto finish

:LBL146
echo performing print server test %1
%CMDLINE% TEST3 %DBASE%\SP_146.dcm >%LOG%\%1.log
goto finish

:LBL147
echo performing print server test %1
%CMDLINE% TEST2 %DBASE%\SP_147.dcm >%LOG%\%1.log
goto finish

:LBL148
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_148.dcm >%LOG%\%1.log
goto finish

:LBL150
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_150.dcm >%LOG%\%1.log
goto finish

:LBL151
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_151.dcm >%LOG%\%1.log
goto finish

:LBL152
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_152.dcm >%LOG%\%1.log
goto finish

:LBL153
echo performing print server test %1
%CMDLINE% TEST1 %DBASE%\SP_153.dcm >%LOG%\%1.log
goto finish

:LBLREINDEX
echo re-indexing print server test cases.
if exist %INDEX%\index.dat del %INDEX%\index.dat
bin\dbregimg %INDEX% %DBASE%\*.dcm
echo done.
goto finish

:LBLALLFILM
for %%i IN ( 001 002 003 004 005 006 010 011 012 013 014 015 020 021 022 023 
             024 025 026 027 028 029 030 031 040 041 042 043 044 045 046 047 
             048 050 051 052 053 ) do @%0 %%i
goto finish

:LBLALLPAPER
for %%i IN ( 101 102 103 104 105 106 110 111 112 113 114 115 120 121 122 123 
             124 125 126 127 128 129 130 131 140 141 142 143 144 145 146 147 
             148 150 151 152 153 ) do @%0 %%i
goto finish

:finish
